Index: /trunk/SophyaExt/FitsIOServer/Makefile
===================================================================
--- /trunk/SophyaExt/FitsIOServer/Makefile	(revision 3406)
+++ /trunk/SophyaExt/FitsIOServer/Makefile	(revision 3407)
@@ -12,6 +12,5 @@
  
 $(SOPHYAOBJP)datacirclefits.o: datacirclefits.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  datacirclefits.h \
+  $(SOPHYAINCP)sopnamsp.h datacirclefits.h \
   $(SOPHYAINCP)datacirclebase.h \
   $(SOPHYAINCP)circle.h \
@@ -30,6 +29,5 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  fabtcolread.h \
+  $(SOPHYAINCP)machdefs.h fabtcolread.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)tvector.h \
@@ -60,6 +58,5 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  fabtwriter.h \
+  $(SOPHYAINCP)machdefs.h fabtwriter.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)tvector.h \
@@ -86,41 +83,36 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fabtwriter.cc
  
-$(SOPHYAOBJP)fboloread.o: fboloread.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  fboloread.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  fabtcolread.h \
+$(SOPHYAOBJP)fboloread.o: fboloread.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h fboloread.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h fabtcolread.h \
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fboloread.cc
  
-$(SOPHYAOBJP)fbtntintf.o: fbtntintf.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  fbtntintf.h \
+$(SOPHYAOBJP)fbtntintf.o: fbtntintf.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h fbtntintf.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ntupintf.h \
@@ -129,26 +121,22 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fbtntintf.cc
  
-$(SOPHYAOBJP)fiosinit.o: fiosinit.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  fiosinit.h \
+$(SOPHYAOBJP)fiosinit.o: fiosinit.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h fiosinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h \
-  fitsmanager.h fitsinoutfile.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  fitshdtable.h \
+  $(SOPHYAINCP)machdefs.h fitsmanager.h \
+  fitsinoutfile.h $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h fitshdtable.h \
   $(SOPHYAINCP)datatable.h \
   $(SOPHYAINCP)basedtable.h \
@@ -156,22 +144,19 @@
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)segdatablock.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  fitshandler.h fitsarrhand.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)tvector.h \
-  fitsblkrw.h fitsntuple.h \
+  $(SOPHYAINCP)thsafeop.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h fitshandler.h \
+  fitsarrhand.h $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)tvector.h fitsblkrw.h fitsntuple.h \
   $(SOPHYAINCP)ntuple.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  fitsfile.h \
-  $(SOPHYAINCP)ndatablock.h \
-  fitsspherehealpix.h \
+  $(SOPHYAINCP)ppersist.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h fitsspherehealpix.h \
   $(SOPHYAINCP)spherehealpix.h \
   $(SOPHYAINCP)sphericalmap.h \
@@ -186,8 +171,6 @@
   $(SOPHYAINCP)HEALPixUtils.h \
   fitsspherethetaphi.h \
-  $(SOPHYAINCP)spherethetaphi.h \
-  fitslocalmap.h \
-  $(SOPHYAINCP)localmap.h \
-  fitshistos.h \
+  $(SOPHYAINCP)spherethetaphi.h fitslocalmap.h \
+  $(SOPHYAINCP)localmap.h fitshistos.h \
   $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)peida.h \
@@ -196,6 +179,5 @@
   $(SOPHYAINCP)fmath.h \
   $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)histos.h \
-  fitsgenedata.h \
+  $(SOPHYAINCP)histos.h fitsgenedata.h \
   $(SOPHYAINCP)generaldata.h \
   $(SOPHYAINCP)poly.h
@@ -205,31 +187,26 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  fitsautoreader.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  fitsfile.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  fitsinoutfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  fitshandler.h fitstarray.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  fitsspherehealpix.h \
+  $(SOPHYAINCP)machdefs.h fitsautoreader.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h fitsinoutfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h fitshandler.h \
+  fitstarray.h $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h fitsspherehealpix.h \
   $(SOPHYAINCP)spherehealpix.h \
   $(SOPHYAINCP)sphericalmap.h \
@@ -247,14 +224,10 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)HEALPixUtils.h \
-  fitsntuple.h \
+  $(SOPHYAINCP)HEALPixUtils.h fitsntuple.h \
   $(SOPHYAINCP)ntuple.h \
   $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)ppersist.h \
-  fitsxntuple.h \
-  $(SOPHYAINCP)xntuple.h \
-  fitslocalmap.h \
-  $(SOPHYAINCP)localmap.h \
-  fbtntintf.h \
+  $(SOPHYAINCP)ppersist.h fitsxntuple.h \
+  $(SOPHYAINCP)xntuple.h fitslocalmap.h \
+  $(SOPHYAINCP)localmap.h fbtntintf.h \
   $(SOPHYAINCP)ntupintf.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsautoreader.cc
@@ -263,49 +236,41 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  fitsbntbllineRW.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  fitsfile.h \
-  $(SOPHYAINCP)ndatablock.h \
-  fitsinoutfile.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  fitshandler.h \
+  $(SOPHYAINCP)machdefs.h fitsbntbllineRW.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h fitsinoutfile.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h fitshandler.h \
   $(SOPHYAINCP)utils.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsbntbllineRW.cc
  
-$(SOPHYAOBJP)fitsfile.o: fitsfile.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  fitsfile.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  fitsinoutfile.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  fitshandler.h \
+$(SOPHYAOBJP)fitsfile.o: fitsfile.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h fitsinoutfile.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h fitshandler.h \
   $(SOPHYAINCP)strutil.h \
   $(SOPHYAINCP)anydataobj.h
@@ -314,5 +279,4 @@
 $(SOPHYAOBJP)fitsgenedata.o: fitsgenedata.cc \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)generaldata.h \
   $(SOPHYAINCP)objfio.h \
@@ -341,16 +305,13 @@
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  fitsblkrw.h fitsinoutfile.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  fitshandler.h
+  $(SOPHYAINCP)tvector_tsnl.h fitsblkrw.h \
+  fitsinoutfile.h $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h fitshandler.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsgenedata.cc
  
 $(SOPHYAOBJP)fitshdtable.o: fitshdtable.cc \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)datatable.h \
   $(SOPHYAINCP)basedtable.h \
@@ -369,26 +330,23 @@
   $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)segdatablock.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  fitsblkrw.h fitsinoutfile.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  fitshandler.h swfitsdtable.h \
-  $(SOPHYAINCP)basedtable.h \
-  $(SOPHYAINCP)swsegdb.h \
-  fitsswapper.h
+  $(SOPHYAINCP)thsafeop.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h fitsblkrw.h \
+  fitsinoutfile.h $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h fitshandler.h \
+  swfitsdtable.h $(SOPHYAINCP)basedtable.h \
+  $(SOPHYAINCP)swsegdb.h fitsswapper.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitshdtable.cc
  
 $(SOPHYAOBJP)fitshisterr.o: fitshisterr.cc \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)histerr.h \
   $(SOPHYAINCP)objfio.h \
@@ -412,16 +370,13 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)hist2err.h \
-  fitsblkrw.h fitsinoutfile.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  fitshandler.h
+  $(SOPHYAINCP)hist2err.h fitsblkrw.h \
+  fitsinoutfile.h $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h fitshandler.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitshisterr.cc
  
 $(SOPHYAOBJP)fitshistos.o: fitshistos.cc \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)objfio.h \
@@ -451,11 +406,9 @@
   $(SOPHYAINCP)hisprof.h \
   $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)histos2.h \
-  fitsblkrw.h fitsinoutfile.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  fitshandler.h
+  $(SOPHYAINCP)histos2.h fitsblkrw.h \
+  fitsinoutfile.h $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h fitshandler.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitshistos.cc
  
@@ -466,10 +419,10 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)anydataobj.h \
-  fitsinoutfile.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)thsafeop.h \
+  $(SOPHYAINCP)pexceptions.h fitsinoutfile.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -485,6 +438,5 @@
 $(SOPHYAOBJP)fitslocalmap.o: fitslocalmap.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  fitslocalmap.h \
+  $(SOPHYAINCP)machdefs.h fitslocalmap.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h \
@@ -517,34 +469,29 @@
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  fitsfile.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)dvlist.h \
-  fitsinoutfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  fitshandler.h
+  $(SOPHYAINCP)tvector_tsnl.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)dvlist.h fitsinoutfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h fitshandler.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitslocalmap.cc
  
 $(SOPHYAOBJP)fitsmanager.o: fitsmanager.cc \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)sopnamsp.h \
-  fitsmanager.h fitsinoutfile.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  fitshandler.h
+  $(SOPHYAINCP)sopnamsp.h fitsmanager.h \
+  fitsinoutfile.h $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h fitshandler.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsmanager.cc
  
@@ -552,6 +499,5 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  fitsntuple.h \
+  $(SOPHYAINCP)machdefs.h fitsntuple.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)ntuple.h \
@@ -569,12 +515,9 @@
   $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  fitsfile.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)dvlist.h \
-  fitsinoutfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  fitshandler.h
+  $(SOPHYAINCP)ppersist.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)dvlist.h fitsinoutfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h fitshandler.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsntuple.cc
  
@@ -582,6 +525,5 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  fitsspherehealpix.h \
+  $(SOPHYAINCP)machdefs.h fitsspherehealpix.h \
   $(SOPHYAINCP)spherehealpix.h \
   $(SOPHYAINCP)sphericalmap.h \
@@ -614,15 +556,11 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)HEALPixUtils.h \
-  $(SOPHYAINCP)anydataobj.h \
-  fitsfile.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)dvlist.h \
-  fitsinoutfile.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  fitshandler.h \
-  $(SOPHYAINCP)tarray.h \
-  fitstarray.h
+  $(SOPHYAINCP)anydataobj.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)dvlist.h fitsinoutfile.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h fitshandler.h \
+  $(SOPHYAINCP)tarray.h fitstarray.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsspherehealpix.cc
  
@@ -630,6 +568,5 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  fitsspherethetaphi.h \
+  $(SOPHYAINCP)machdefs.h fitsspherethetaphi.h \
   $(SOPHYAINCP)spherethetaphi.h \
   $(SOPHYAINCP)sphericalmap.h \
@@ -661,15 +598,11 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)anydataobj.h \
-  fitsfile.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)dvlist.h \
-  fitsinoutfile.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  fitshandler.h \
-  $(SOPHYAINCP)tarray.h \
-  fitstarray.h
+  $(SOPHYAINCP)anydataobj.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)dvlist.h fitsinoutfile.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h fitshandler.h \
+  $(SOPHYAINCP)tarray.h fitstarray.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsspherethetaphi.cc
  
@@ -678,28 +611,24 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  fitstarray.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  fitsfile.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)dvlist.h \
-  fitsinoutfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  fitshandler.h
+  $(SOPHYAINCP)machdefs.h fitstarray.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)dvlist.h fitsinoutfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h fitshandler.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitstarray.cc
  
@@ -707,6 +636,5 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  fitsxntuple.h \
+  $(SOPHYAINCP)machdefs.h fitsxntuple.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)xntuple.h \
@@ -724,12 +652,9 @@
   $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  fitsfile.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)dvlist.h \
-  fitsinoutfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  fitshandler.h
+  $(SOPHYAINCP)ppersist.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)dvlist.h fitsinoutfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h fitshandler.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsxntuple.cc
  
@@ -750,24 +675,23 @@
   $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)segdatablock.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)swsegdb.h \
-  fitsswapper.h \
-  $(SOPHYAINCP)machdefs.h \
-  fitsinoutfile.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  fitsblkrw.h fitshandler.h fitshdtable.h \
+  $(SOPHYAINCP)thsafeop.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)swsegdb.h fitsswapper.h \
+  $(SOPHYAINCP)machdefs.h fitsinoutfile.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h fitsblkrw.h \
+  fitshandler.h fitshdtable.h \
   $(SOPHYAINCP)datatable.h \
   $(SOPHYAINCP)basedtable.h \
-  $(SOPHYAINCP)sopnamsp.h
+  $(SOPHYAINCP)thsafeop.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  swfitsdtable.cc
  
Index: /trunk/SophyaExt/FitsIOServer/smakefile
===================================================================
--- /trunk/SophyaExt/FitsIOServer/smakefile	(revision 3406)
+++ /trunk/SophyaExt/FitsIOServer/smakefile	(revision 3407)
@@ -12,6 +12,5 @@
  
 $(SOPHYAOBJP)datacirclefits.o: datacirclefits.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  datacirclefits.h \
+  $(SOPHYAINCP)sopnamsp.h datacirclefits.h \
   $(SOPHYAINCP)datacirclebase.h \
   $(SOPHYAINCP)circle.h \
@@ -30,6 +29,5 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  fabtcolread.h \
+  $(SOPHYAINCP)machdefs.h fabtcolread.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)tvector.h \
@@ -60,6 +58,5 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  fabtwriter.h \
+  $(SOPHYAINCP)machdefs.h fabtwriter.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)tvector.h \
@@ -86,41 +83,36 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fabtwriter.cc
  
-$(SOPHYAOBJP)fboloread.o: fboloread.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  fboloread.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  fabtcolread.h \
+$(SOPHYAOBJP)fboloread.o: fboloread.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h fboloread.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h fabtcolread.h \
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fboloread.cc
  
-$(SOPHYAOBJP)fbtntintf.o: fbtntintf.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  fbtntintf.h \
+$(SOPHYAOBJP)fbtntintf.o: fbtntintf.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h fbtntintf.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ntupintf.h \
@@ -129,26 +121,22 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fbtntintf.cc
  
-$(SOPHYAOBJP)fiosinit.o: fiosinit.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  fiosinit.h \
+$(SOPHYAOBJP)fiosinit.o: fiosinit.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h fiosinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h \
-  fitsmanager.h fitsinoutfile.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  fitshdtable.h \
+  $(SOPHYAINCP)machdefs.h fitsmanager.h \
+  fitsinoutfile.h $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h fitshdtable.h \
   $(SOPHYAINCP)datatable.h \
   $(SOPHYAINCP)basedtable.h \
@@ -156,22 +144,19 @@
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)segdatablock.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  fitshandler.h fitsarrhand.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)tvector.h \
-  fitsblkrw.h fitsntuple.h \
+  $(SOPHYAINCP)thsafeop.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h fitshandler.h \
+  fitsarrhand.h $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)tvector.h fitsblkrw.h fitsntuple.h \
   $(SOPHYAINCP)ntuple.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  fitsfile.h \
-  $(SOPHYAINCP)ndatablock.h \
-  fitsspherehealpix.h \
+  $(SOPHYAINCP)ppersist.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h fitsspherehealpix.h \
   $(SOPHYAINCP)spherehealpix.h \
   $(SOPHYAINCP)sphericalmap.h \
@@ -186,8 +171,6 @@
   $(SOPHYAINCP)HEALPixUtils.h \
   fitsspherethetaphi.h \
-  $(SOPHYAINCP)spherethetaphi.h \
-  fitslocalmap.h \
-  $(SOPHYAINCP)localmap.h \
-  fitshistos.h \
+  $(SOPHYAINCP)spherethetaphi.h fitslocalmap.h \
+  $(SOPHYAINCP)localmap.h fitshistos.h \
   $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)peida.h \
@@ -196,6 +179,5 @@
   $(SOPHYAINCP)fmath.h \
   $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)histos.h \
-  fitsgenedata.h \
+  $(SOPHYAINCP)histos.h fitsgenedata.h \
   $(SOPHYAINCP)generaldata.h \
   $(SOPHYAINCP)poly.h
@@ -205,31 +187,26 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  fitsautoreader.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  fitsfile.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  fitsinoutfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  fitshandler.h fitstarray.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  fitsspherehealpix.h \
+  $(SOPHYAINCP)machdefs.h fitsautoreader.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h fitsinoutfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h fitshandler.h \
+  fitstarray.h $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h fitsspherehealpix.h \
   $(SOPHYAINCP)spherehealpix.h \
   $(SOPHYAINCP)sphericalmap.h \
@@ -247,14 +224,10 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)HEALPixUtils.h \
-  fitsntuple.h \
+  $(SOPHYAINCP)HEALPixUtils.h fitsntuple.h \
   $(SOPHYAINCP)ntuple.h \
   $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)ppersist.h \
-  fitsxntuple.h \
-  $(SOPHYAINCP)xntuple.h \
-  fitslocalmap.h \
-  $(SOPHYAINCP)localmap.h \
-  fbtntintf.h \
+  $(SOPHYAINCP)ppersist.h fitsxntuple.h \
+  $(SOPHYAINCP)xntuple.h fitslocalmap.h \
+  $(SOPHYAINCP)localmap.h fbtntintf.h \
   $(SOPHYAINCP)ntupintf.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsautoreader.cc
@@ -263,49 +236,41 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  fitsbntbllineRW.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  fitsfile.h \
-  $(SOPHYAINCP)ndatablock.h \
-  fitsinoutfile.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  fitshandler.h \
+  $(SOPHYAINCP)machdefs.h fitsbntbllineRW.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h fitsinoutfile.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h fitshandler.h \
   $(SOPHYAINCP)utils.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsbntbllineRW.cc
  
-$(SOPHYAOBJP)fitsfile.o: fitsfile.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  fitsfile.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  fitsinoutfile.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  fitshandler.h \
+$(SOPHYAOBJP)fitsfile.o: fitsfile.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h fitsinoutfile.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h fitshandler.h \
   $(SOPHYAINCP)strutil.h \
   $(SOPHYAINCP)anydataobj.h
@@ -314,5 +279,4 @@
 $(SOPHYAOBJP)fitsgenedata.o: fitsgenedata.cc \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)generaldata.h \
   $(SOPHYAINCP)objfio.h \
@@ -341,16 +305,13 @@
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  fitsblkrw.h fitsinoutfile.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  fitshandler.h
+  $(SOPHYAINCP)tvector_tsnl.h fitsblkrw.h \
+  fitsinoutfile.h $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h fitshandler.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsgenedata.cc
  
 $(SOPHYAOBJP)fitshdtable.o: fitshdtable.cc \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)datatable.h \
   $(SOPHYAINCP)basedtable.h \
@@ -369,26 +330,23 @@
   $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)segdatablock.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  fitsblkrw.h fitsinoutfile.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  fitshandler.h swfitsdtable.h \
-  $(SOPHYAINCP)basedtable.h \
-  $(SOPHYAINCP)swsegdb.h \
-  fitsswapper.h
+  $(SOPHYAINCP)thsafeop.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h fitsblkrw.h \
+  fitsinoutfile.h $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h fitshandler.h \
+  swfitsdtable.h $(SOPHYAINCP)basedtable.h \
+  $(SOPHYAINCP)swsegdb.h fitsswapper.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitshdtable.cc
  
 $(SOPHYAOBJP)fitshisterr.o: fitshisterr.cc \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)histerr.h \
   $(SOPHYAINCP)objfio.h \
@@ -412,16 +370,13 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)hist2err.h \
-  fitsblkrw.h fitsinoutfile.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  fitshandler.h
+  $(SOPHYAINCP)hist2err.h fitsblkrw.h \
+  fitsinoutfile.h $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h fitshandler.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitshisterr.cc
  
 $(SOPHYAOBJP)fitshistos.o: fitshistos.cc \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)objfio.h \
@@ -451,11 +406,9 @@
   $(SOPHYAINCP)hisprof.h \
   $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)histos2.h \
-  fitsblkrw.h fitsinoutfile.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  fitshandler.h
+  $(SOPHYAINCP)histos2.h fitsblkrw.h \
+  fitsinoutfile.h $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h fitshandler.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitshistos.cc
  
@@ -466,10 +419,10 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)anydataobj.h \
-  fitsinoutfile.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)thsafeop.h \
+  $(SOPHYAINCP)pexceptions.h fitsinoutfile.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -485,6 +438,5 @@
 $(SOPHYAOBJP)fitslocalmap.o: fitslocalmap.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  fitslocalmap.h \
+  $(SOPHYAINCP)machdefs.h fitslocalmap.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h \
@@ -517,34 +469,29 @@
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  fitsfile.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)dvlist.h \
-  fitsinoutfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  fitshandler.h
+  $(SOPHYAINCP)tvector_tsnl.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)dvlist.h fitsinoutfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h fitshandler.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitslocalmap.cc
  
 $(SOPHYAOBJP)fitsmanager.o: fitsmanager.cc \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)sopnamsp.h \
-  fitsmanager.h fitsinoutfile.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  fitshandler.h
+  $(SOPHYAINCP)sopnamsp.h fitsmanager.h \
+  fitsinoutfile.h $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h fitshandler.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsmanager.cc
  
@@ -552,6 +499,5 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  fitsntuple.h \
+  $(SOPHYAINCP)machdefs.h fitsntuple.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)ntuple.h \
@@ -569,12 +515,9 @@
   $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  fitsfile.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)dvlist.h \
-  fitsinoutfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  fitshandler.h
+  $(SOPHYAINCP)ppersist.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)dvlist.h fitsinoutfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h fitshandler.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsntuple.cc
  
@@ -582,6 +525,5 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  fitsspherehealpix.h \
+  $(SOPHYAINCP)machdefs.h fitsspherehealpix.h \
   $(SOPHYAINCP)spherehealpix.h \
   $(SOPHYAINCP)sphericalmap.h \
@@ -614,15 +556,11 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)HEALPixUtils.h \
-  $(SOPHYAINCP)anydataobj.h \
-  fitsfile.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)dvlist.h \
-  fitsinoutfile.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  fitshandler.h \
-  $(SOPHYAINCP)tarray.h \
-  fitstarray.h
+  $(SOPHYAINCP)anydataobj.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)dvlist.h fitsinoutfile.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h fitshandler.h \
+  $(SOPHYAINCP)tarray.h fitstarray.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsspherehealpix.cc
  
@@ -630,6 +568,5 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  fitsspherethetaphi.h \
+  $(SOPHYAINCP)machdefs.h fitsspherethetaphi.h \
   $(SOPHYAINCP)spherethetaphi.h \
   $(SOPHYAINCP)sphericalmap.h \
@@ -661,15 +598,11 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)anydataobj.h \
-  fitsfile.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)dvlist.h \
-  fitsinoutfile.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  fitshandler.h \
-  $(SOPHYAINCP)tarray.h \
-  fitstarray.h
+  $(SOPHYAINCP)anydataobj.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)dvlist.h fitsinoutfile.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h fitshandler.h \
+  $(SOPHYAINCP)tarray.h fitstarray.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsspherethetaphi.cc
  
@@ -678,28 +611,24 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  fitstarray.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  fitsfile.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)dvlist.h \
-  fitsinoutfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  fitshandler.h
+  $(SOPHYAINCP)machdefs.h fitstarray.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)dvlist.h fitsinoutfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h fitshandler.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitstarray.cc
  
@@ -707,6 +636,5 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  fitsxntuple.h \
+  $(SOPHYAINCP)machdefs.h fitsxntuple.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)xntuple.h \
@@ -724,12 +652,9 @@
   $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  fitsfile.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)dvlist.h \
-  fitsinoutfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  fitshandler.h
+  $(SOPHYAINCP)ppersist.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)dvlist.h fitsinoutfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h fitshandler.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsxntuple.cc
  
@@ -750,24 +675,23 @@
   $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)segdatablock.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)swsegdb.h \
-  fitsswapper.h \
-  $(SOPHYAINCP)machdefs.h \
-  fitsinoutfile.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  fitsblkrw.h fitshandler.h fitshdtable.h \
+  $(SOPHYAINCP)thsafeop.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)swsegdb.h fitsswapper.h \
+  $(SOPHYAINCP)machdefs.h fitsinoutfile.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h fitsblkrw.h \
+  fitshandler.h fitshdtable.h \
   $(SOPHYAINCP)datatable.h \
   $(SOPHYAINCP)basedtable.h \
-  $(SOPHYAINCP)sopnamsp.h
+  $(SOPHYAINCP)thsafeop.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  swfitsdtable.cc
  
Index: /trunk/SophyaExt/IFFTW/Makefile
===================================================================
--- /trunk/SophyaExt/IFFTW/Makefile	(revision 3406)
+++ /trunk/SophyaExt/IFFTW/Makefile	(revision 3407)
@@ -12,9 +12,9 @@
  
 $(SOPHYAOBJP)fftwserver.o: fftwserver.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  fftwserver.h \
+  $(SOPHYAINCP)sopnamsp.h fftwserver.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)sspvflags.h \
   $(SOPHYAINCP)fftservintf.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)tmatrix.h \
@@ -35,6 +35,6 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  fftw2server.cc fftw3server.cc 
+  $(SOPHYAINCP)tvector_tsnl.h fftw3server.cc \
+  $(SOPHYAINCP)FFTW/fftw3.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fftwserver.cc
  
Index: /trunk/SophyaExt/IFFTW/smakefile
===================================================================
--- /trunk/SophyaExt/IFFTW/smakefile	(revision 3406)
+++ /trunk/SophyaExt/IFFTW/smakefile	(revision 3407)
@@ -12,9 +12,9 @@
  
 $(SOPHYAOBJP)fftwserver.o: fftwserver.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  fftwserver.h \
+  $(SOPHYAINCP)sopnamsp.h fftwserver.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)sspvflags.h \
   $(SOPHYAINCP)fftservintf.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)tmatrix.h \
@@ -35,6 +35,6 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  fftw2server.cc fftw3server.cc 
+  $(SOPHYAINCP)tvector_tsnl.h fftw3server.cc \
+  $(SOPHYAINCP)FFTW/fftw3.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fftwserver.cc
  
Index: /trunk/SophyaExt/LinAlg/Makefile
===================================================================
--- /trunk/SophyaExt/LinAlg/Makefile	(revision 3406)
+++ /trunk/SophyaExt/LinAlg/Makefile	(revision 3407)
@@ -12,8 +12,8 @@
  
 $(SOPHYAOBJP)intflapack.o: intflapack.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  intflapack.h \
+  $(SOPHYAINCP)sopnamsp.h intflapack.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -32,7 +32,9 @@
   $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)sspvflags.h
+  $(SOPHYAINCP)sspvflags.h \
+  $(SOPHYAINCP)tmatrix.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  intflapack.cc
  
Index: /trunk/SophyaExt/LinAlg/smakefile
===================================================================
--- /trunk/SophyaExt/LinAlg/smakefile	(revision 3406)
+++ /trunk/SophyaExt/LinAlg/smakefile	(revision 3407)
@@ -12,8 +12,8 @@
  
 $(SOPHYAOBJP)intflapack.o: intflapack.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  intflapack.h \
+  $(SOPHYAINCP)sopnamsp.h intflapack.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -32,7 +32,9 @@
   $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)sspvflags.h
+  $(SOPHYAINCP)sspvflags.h \
+  $(SOPHYAINCP)tmatrix.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  intflapack.cc
  
Index: /trunk/SophyaLib/HiStats/Makefile
===================================================================
--- /trunk/SophyaLib/HiStats/Makefile	(revision 3406)
+++ /trunk/SophyaLib/HiStats/Makefile	(revision 3407)
@@ -4,5 +4,5 @@
  
 clean:
-	 rm -f $(SOPHYAOBJP)basedtable.o $(SOPHYAOBJP)datatable.o $(SOPHYAOBJP)fio_dtable.o $(SOPHYAOBJP)hisprof.o $(SOPHYAOBJP)hist2err.o $(SOPHYAOBJP)histerr.o $(SOPHYAOBJP)histinit.o $(SOPHYAOBJP)histos2.o $(SOPHYAOBJP)histos.o $(SOPHYAOBJP)ntupintf.o $(SOPHYAOBJP)ntuple.o $(SOPHYAOBJP)proxtuple.o $(SOPHYAOBJP)swppfdtable.o $(SOPHYAOBJP)xntuple.o
+	 rm -f $(SOPHYAOBJP)basedtable.o $(SOPHYAOBJP)datatable.o $(SOPHYAOBJP)fio_dtable.o $(SOPHYAOBJP)hisprof.o $(SOPHYAOBJP)hist2err.o $(SOPHYAOBJP)histerr.o $(SOPHYAOBJP)histinit.o $(SOPHYAOBJP)histos.o $(SOPHYAOBJP)histos2.o $(SOPHYAOBJP)ntupintf.o $(SOPHYAOBJP)ntuple.o $(SOPHYAOBJP)proxtuple.o $(SOPHYAOBJP)swppfdtable.o $(SOPHYAOBJP)xntuple.o
 	rm -f $(SOPHYALIBP)libHiStats.a
  
@@ -12,90 +12,92 @@
  
 $(SOPHYAOBJP)basedtable.o: basedtable.cc basedtable.h \
-  $(SOPHYAINCP)machdefs.h \
-  ntupintf.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)segdatablock.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)pexceptions.h
+  $(SOPHYAINCP)machdefs.h ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)segdatablock.h \
+  $(SOPHYAINCP)thsafeop.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)thsafeop.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  basedtable.cc
  
 $(SOPHYAOBJP)datatable.o: datatable.cc datatable.h basedtable.h \
-  $(SOPHYAINCP)machdefs.h \
-  ntupintf.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)segdatablock.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)segdatablock.h \
+  $(SOPHYAINCP)thsafeop.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)strutil.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)fiosegdb.h \
   $(SOPHYAINCP)segdatablock.h \
-  $(SOPHYAINCP)ppftpointerio.h
+  $(SOPHYAINCP)ppftpointerio.h \
+  $(SOPHYAINCP)thsafeop.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  datatable.cc
  
 $(SOPHYAOBJP)fio_dtable.o: fio_dtable.cc datatable.h basedtable.h \
-  $(SOPHYAINCP)machdefs.h \
-  ntupintf.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)segdatablock.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)objfio.h \
-  swppfdtable.h \
+  $(SOPHYAINCP)machdefs.h ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)segdatablock.h \
+  $(SOPHYAINCP)thsafeop.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)objfio.h swppfdtable.h \
   $(SOPHYAINCP)swsegdb.h \
   $(SOPHYAINCP)segdatablock.h \
@@ -103,12 +105,9 @@
   $(SOPHYAINCP)swsegdb.h \
   $(SOPHYAINCP)ppftpointerio.h \
-  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)fiosegdb.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fio_dtable.cc
  
-$(SOPHYAOBJP)hisprof.o: hisprof.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)hisprof.o: hisprof.cc $(SOPHYAINCP)machdefs.h \
   hisprof.h $(SOPHYAINCP)peida.h \
   $(SOPHYAINCP)machdefs.h \
@@ -141,7 +140,5 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  hisprof.cc
  
-$(SOPHYAOBJP)hist2err.o: hist2err.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)hist2err.o: hist2err.cc $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -165,12 +162,10 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  hist2err.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)tvector_tsnl.h hist2err.h \
+  $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)tmatrix.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  hist2err.cc
  
-$(SOPHYAOBJP)histerr.o: histerr.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)histerr.o: histerr.cc $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -194,13 +189,11 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  histerr.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)tvector_tsnl.h histerr.h \
+  $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)tvector.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histerr.cc
  
-$(SOPHYAOBJP)histinit.o: histinit.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  histinit.h \
+$(SOPHYAOBJP)histinit.o: histinit.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h histinit.h \
   $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
@@ -232,12 +225,11 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)anydataobj.h \
-  histos2.h $(SOPHYAINCP)utils.h \
-  hisprof.h histerr.h hist2err.h \
-  $(SOPHYAINCP)tmatrix.h ntuple.h \
-  ntupintf.h $(SOPHYAINCP)dvlist.h \
-  xntuple.h datatable.h basedtable.h \
-  $(SOPHYAINCP)segdatablock.h \
-  swppfdtable.h \
+  $(SOPHYAINCP)anydataobj.h histos2.h \
+  $(SOPHYAINCP)utils.h hisprof.h histerr.h \
+  hist2err.h $(SOPHYAINCP)tmatrix.h ntuple.h \
+  ntupintf.h $(SOPHYAINCP)dvlist.h xntuple.h \
+  datatable.h basedtable.h \
+  $(SOPHYAINCP)segdatablock.h \
+  $(SOPHYAINCP)thsafeop.h swppfdtable.h \
   $(SOPHYAINCP)swsegdb.h \
   $(SOPHYAINCP)segdatablock.h \
@@ -247,7 +239,40 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histinit.cc
  
-$(SOPHYAOBJP)histos2.o: histos2.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)histos.o: histos.cc $(SOPHYAINCP)machdefs.h \
+  histos.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)poly.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)strutil.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histos.cc
+ 
+$(SOPHYAOBJP)histos2.o: histos2.cc $(SOPHYAINCP)machdefs.h \
   histos2.h $(SOPHYAINCP)peida.h \
   $(SOPHYAINCP)machdefs.h \
@@ -280,52 +305,11 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histos2.cc
  
-$(SOPHYAOBJP)histos.o: histos.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h histos.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)strutil.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histos.cc
- 
-$(SOPHYAOBJP)ntupintf.o: ntupintf.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  ntupintf.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)ntupintf.o: ntupintf.cc $(SOPHYAINCP)sopnamsp.h \
+  ntupintf.h $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ntupintf.cc
  
-$(SOPHYAOBJP)ntuple.o: ntuple.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)strutil.h \
+$(SOPHYAOBJP)ntuple.o: ntuple.cc $(SOPHYAINCP)strutil.h \
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -337,27 +321,24 @@
   $(SOPHYAINCP)ppfbinstream.h \
   $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  ntupintf.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h
+  $(SOPHYAINCP)ppfnametag.h ntupintf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)thsafeop.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ntuple.cc
  
-$(SOPHYAOBJP)proxtuple.o: proxtuple.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  proxtuple.h ntuple.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  ntupintf.h \
+$(SOPHYAOBJP)proxtuple.o: proxtuple.cc $(SOPHYAINCP)sopnamsp.h \
+  proxtuple.h ntuple.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h ntupintf.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)ppersist.h \
@@ -369,18 +350,19 @@
  
 $(SOPHYAOBJP)swppfdtable.o: swppfdtable.cc swppfdtable.h basedtable.h \
-  $(SOPHYAINCP)machdefs.h \
-  ntupintf.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)segdatablock.h \
+  $(SOPHYAINCP)machdefs.h ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)segdatablock.h \
+  $(SOPHYAINCP)thsafeop.h \
   $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)tmatrix.h \
@@ -398,11 +380,9 @@
   $(SOPHYAINCP)ppftpointerio.h \
   $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)pexceptions.h
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)thsafeop.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  swppfdtable.cc
  
-$(SOPHYAOBJP)xntuple.o: xntuple.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)ppersist.h \
+$(SOPHYAOBJP)xntuple.o: xntuple.cc $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -413,6 +393,6 @@
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)perrors.h xntuple.h \
-  $(SOPHYAINCP)machdefs.h \
-  ntupintf.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)machdefs.h ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
Index: /trunk/SophyaLib/HiStats/smakefile
===================================================================
--- /trunk/SophyaLib/HiStats/smakefile	(revision 3406)
+++ /trunk/SophyaLib/HiStats/smakefile	(revision 3407)
@@ -36,6 +36,6 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)pexceptions.h
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)thsafeop.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  basedtable.cc
  
@@ -66,10 +66,10 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)strutil.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)fiosegdb.h \
   $(SOPHYAINCP)segdatablock.h \
-  $(SOPHYAINCP)ppftpointerio.h
+  $(SOPHYAINCP)ppftpointerio.h \
+  $(SOPHYAINCP)thsafeop.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  datatable.cc
  
@@ -327,5 +327,6 @@
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)thsafeop.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ntuple.cc
  
@@ -379,6 +380,6 @@
   $(SOPHYAINCP)ppftpointerio.h \
   $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)pexceptions.h
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)thsafeop.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  swppfdtable.cc
  
Index: /trunk/SophyaPI/PIGcont/Makefile
===================================================================
--- /trunk/SophyaPI/PIGcont/Makefile	(revision 3406)
+++ /trunk/SophyaPI/PIGcont/Makefile	(revision 3407)
@@ -11,11 +11,11 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libPI.objlist
  
-$(SOPHYAOBJP)picntools.o: picntools.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)picntools.o: picntools.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h picntools.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)machdefs.h \
-  picntools.h \
-  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pistdwdggen.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
@@ -26,4 +26,5 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -50,7 +51,9 @@
   $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigraphps.h \
-  $(SOPHYAINCP)picmapview.h \
-  pigncont.h \
+  $(SOPHYAINCP)picmapview.h pigncont.h \
   $(SOPHYAINCP)pistdimgapp.h \
+  $(SOPHYAINCP)piapplx.h \
+  $(SOPHYAINCP)piwindowx.h \
+  $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pifilechox.h \
   $(SOPHYAINCP)pifilechogen.h \
@@ -66,4 +69,5 @@
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
+  $(SOPHYAINCP)picmapview.h \
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
@@ -95,14 +99,13 @@
   $(SOPHYAINCP)piscdrawwdg.h \
   $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)ntupintf.h \
-  gp_contour.h gp_types.h gpc_misc.h gp_dynarray.h gp_graph3d.h \
-  gp_alloc.h
+  $(SOPHYAINCP)ntupintf.h gp_contour.h gp_types.h \
+  gpc_misc.h gp_dynarray.h gp_graph3d.h gp_alloc.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  picntools.cc
  
-$(SOPHYAOBJP)pigncont.o: pigncont.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)pigncont.o: pigncont.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -133,4 +136,5 @@
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pistdwdggen.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
@@ -141,4 +145,5 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -165,7 +170,9 @@
   $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigraphps.h \
-  $(SOPHYAINCP)picmapview.h \
-  pigncont.h \
+  $(SOPHYAINCP)picmapview.h pigncont.h \
   $(SOPHYAINCP)pistdimgapp.h \
+  $(SOPHYAINCP)piapplx.h \
+  $(SOPHYAINCP)piwindowx.h \
+  $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pifilechox.h \
   $(SOPHYAINCP)pifilechogen.h \
@@ -181,4 +188,5 @@
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
+  $(SOPHYAINCP)picmapview.h \
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
@@ -197,7 +205,6 @@
   $(SOPHYAINCP)pitherm.h \
   $(SOPHYAINCP)resusage.h \
-  $(SOPHYAINCP)piscdrawwdg.h \
-  gp_contour.h gp_types.h gpc_misc.h gp_dynarray.h gp_graph3d.h \
-  gp_alloc.h
+  $(SOPHYAINCP)piscdrawwdg.h gp_contour.h \
+  gp_types.h gpc_misc.h gp_dynarray.h gp_graph3d.h gp_alloc.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pigncont.cc
  
Index: /trunk/SophyaPI/PIGcont/smakefile
===================================================================
--- /trunk/SophyaPI/PIGcont/smakefile	(revision 3406)
+++ /trunk/SophyaPI/PIGcont/smakefile	(revision 3407)
@@ -11,11 +11,11 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libPI.objlist
  
-$(SOPHYAOBJP)picntools.o: picntools.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)picntools.o: picntools.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h picntools.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)machdefs.h \
-  picntools.h \
-  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pistdwdggen.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
@@ -26,4 +26,5 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -50,7 +51,9 @@
   $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigraphps.h \
-  $(SOPHYAINCP)picmapview.h \
-  pigncont.h \
+  $(SOPHYAINCP)picmapview.h pigncont.h \
   $(SOPHYAINCP)pistdimgapp.h \
+  $(SOPHYAINCP)piapplx.h \
+  $(SOPHYAINCP)piwindowx.h \
+  $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pifilechox.h \
   $(SOPHYAINCP)pifilechogen.h \
@@ -66,4 +69,5 @@
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
+  $(SOPHYAINCP)picmapview.h \
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
@@ -95,14 +99,13 @@
   $(SOPHYAINCP)piscdrawwdg.h \
   $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)ntupintf.h \
-  gp_contour.h gp_types.h gpc_misc.h gp_dynarray.h gp_graph3d.h \
-  gp_alloc.h
+  $(SOPHYAINCP)ntupintf.h gp_contour.h gp_types.h \
+  gpc_misc.h gp_dynarray.h gp_graph3d.h gp_alloc.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  picntools.cc
  
-$(SOPHYAOBJP)pigncont.o: pigncont.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)pigncont.o: pigncont.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -133,4 +136,5 @@
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pistdwdggen.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
@@ -141,4 +145,5 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
+  $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -165,7 +170,9 @@
   $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigraphps.h \
-  $(SOPHYAINCP)picmapview.h \
-  pigncont.h \
+  $(SOPHYAINCP)picmapview.h pigncont.h \
   $(SOPHYAINCP)pistdimgapp.h \
+  $(SOPHYAINCP)piapplx.h \
+  $(SOPHYAINCP)piwindowx.h \
+  $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pifilechox.h \
   $(SOPHYAINCP)pifilechogen.h \
@@ -181,4 +188,5 @@
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
+  $(SOPHYAINCP)picmapview.h \
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
@@ -197,7 +205,6 @@
   $(SOPHYAINCP)pitherm.h \
   $(SOPHYAINCP)resusage.h \
-  $(SOPHYAINCP)piscdrawwdg.h \
-  gp_contour.h gp_types.h gpc_misc.h gp_dynarray.h gp_graph3d.h \
-  gp_alloc.h
+  $(SOPHYAINCP)piscdrawwdg.h gp_contour.h \
+  gp_types.h gpc_misc.h gp_dynarray.h gp_graph3d.h gp_alloc.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pigncont.cc
  
